Bug 140681 - vte in locale el_GR.UTF-8 puts letter lowercase pi offset from rest
vte in locale el_GR.UTF-8 puts letter lowercase pi offset from rest
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vte (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-24 02:16 EST by Ariel T. Glenn
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.13.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-10 19:02:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ariel T. Glenn 2004-11-24 02:16:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; el-GR; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
vte_unichar_is_local_graphic() in vte.c should *not* think that
unicode U+03c0 (lowercase pi) is a graphic when you are in el_GR.UTF-8
mode.  Because it does, it gets the y offset wrong and puts the letter
off the baseline every time it renders.  Other letters are handled
correctly.

My workaround, since my system is in that locale, was to comment out
the line in the function (/*    case 0x03c0:  pi */)  which obviously
then is a problem for other locales.  OTOH maybe pi doesn't need to be
a graphic for any locale.  Someone else can decide that.

Other apps, no problem: xterm, evolution, etc.

Thanks.

How reproducible:
Always

Steps to Reproduce:
1. set locale to el_GR.UTF-8
2. run gnome-terminal  (uses libvte!)
3. switch to greek keyboard  and type, or cat a file, with utf-8 greek
in it that contains lower case letters including pi
4. notice that pi is offset from baseline every time compared to the
other characters
Comment 1 Simos Xenitellis 2006-02-24 18:29:39 EST
This is related to the "font substitution" process that takes place with fontconfig.

As few fonts have glyphs for all languages, there is a mechanism that fills the
character space from different fonts. The Pi letter comes from Bitstream Vera,
as Bitstream Vera covers it. Bitstream Vera is listed high on the preference
list at /etc/fonts.conf

The proper way to fix it is to add functionality in fontconfig as described in
the report 
https://bugs.freedesktop.org/show_bug.cgi?id=5987

In the meanwhile, it is good to include DejaVu (derived from Bitstream Vera) as
described in bug 158032.
Comment 2 Matthew Miller 2006-07-10 18:56:50 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Behdad Esfahbod 2006-07-10 19:02:26 EDT
This is fixed in rawhide already, with vte 0.13.2 IIRC.
Comment 4 Ariel T. Glenn 2006-07-11 13:48:57 EDT
Confirmed fixed, recent install of FC5 with vte-0.12.2 shows the patch there
*and* the correct behavior, thanks!

Note You need to log in before you can comment on or make changes to this bug.